pidgin: PurpleConnectionUiOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
PurpleConnectionUiOps Struct Reference

Connection UI operations. More...

`#include <connection.h>`

## Data Fields
void(* | connect_progress )(PurpleConnection *gc, const char *text, size_t step, size_t step_count)
| When an account is connecting, this operation is called to notify the UI of what is happening, as well as which step out of step_count has been reached (which might be displayed as a progress bar).
void(* | connected )(PurpleConnection *gc)
| Called when a connection is established (just before the signed-on signal).
void(* | disconnected )(PurpleConnection *gc)
| Called when a connection is ended (between the signing-off and signed-off signals).
void(* | notice )(PurpleConnection *gc, const char *text)
| Used to display connection-specific notices.
void(* | report_disconnect )(PurpleConnection *gc, const char *text)
| Called when an error causes a connection to be disconnected.
void(* | network_connected )(void)
| Called when libpurple discovers that the computer's network connection is active.
void(* | network_disconnected )(void)
| Called when libpurple discovers that the computer's network connection has gone away.
void(* | report_disconnect_reason )(PurpleConnection *gc, PurpleConnectionError reason, const char *text)
| Called when an error causes a connection to be disconnected.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)

## Detailed Description

Connection UI operations.

Used to notify the user of changes to connections, such as being disconnected, and to respond to the underlying network connection appearing and disappearing. UIs should call purple_connections_set_ui_ops() with an instance of this struct.

See also
  ui-ops

Definition at line 162 of file connection.h.

## Field Documentation

## ◆ _purple_reserved1

void(* PurpleConnectionUiOps::_purple_reserved1) (void)

Definition at line 238 of file connection.h.

## ◆ _purple_reserved2

void(* PurpleConnectionUiOps::_purple_reserved2) (void)

Definition at line 239 of file connection.h.

## ◆ _purple_reserved3

void(* PurpleConnectionUiOps::_purple_reserved3) (void)

Definition at line 240 of file connection.h.

## ◆ connect_progress

void(* PurpleConnectionUiOps::connect_progress) (PurpleConnection *gc, const char *text, size_t step, size_t step_count)

When an account is connecting, this operation is called to notify the UI of what is happening, as well as which step out of step_count has been reached (which might be displayed as a progress bar).

See also
  purple_connection_update_progress

Definition at line 171 of file connection.h.

## ◆ connected

void(* PurpleConnectionUiOps::connected) (PurpleConnection *gc)

Called when a connection is established (just before the signed-on signal).

Definition at line 180 of file connection.h.

## ◆ disconnected

void(* PurpleConnectionUiOps::disconnected) (PurpleConnection *gc)

Called when a connection is ended (between the signing-off and signed-off signals).

Definition at line 186 of file connection.h.

## ◆ network_connected

void(* PurpleConnectionUiOps::network_connected) (void)

Called when libpurple discovers that the computer's network connection is active.

On GNU/Linux, this uses Network Manager if available; on Windows, it uses Win32's network change notification infrastructure.

Definition at line 212 of file connection.h.

## ◆ network_disconnected

void(* PurpleConnectionUiOps::network_disconnected) (void)

Called when libpurple discovers that the computer's network connection has gone away.

Definition at line 218 of file connection.h.

## ◆ notice

void(* PurpleConnectionUiOps::notice) (PurpleConnection *gc, const char *text)

Used to display connection-specific notices.

(Pidgin's Gtk user interface implements this as a no-op; purple_connection_notice(), which uses this operation, is not used by any of the protocols shipped with libpurple.)

Definition at line 194 of file connection.h.

## ◆ report_disconnect

void(* PurpleConnectionUiOps::report_disconnect) (PurpleConnection *gc, const char *text)

Called when an error causes a connection to be disconnected.

Called before disconnected.

Parameters

  text | a localized error message.

See also
  purple_connection_error

Deprecated:
  in favour of PurpleConnectionUiOps.report_disconnect_reason.

Definition at line 204 of file connection.h.

## ◆ report_disconnect_reason

void(* PurpleConnectionUiOps::report_disconnect_reason) (PurpleConnection *gc, PurpleConnectionError reason, const char *text)

Called when an error causes a connection to be disconnected.

Called before disconnected. This op is intended to replace report_disconnect. If both are implemented, this will be called first; however, there's no real reason to implement both.

Parameters

  reason | why the connection ended, if known, or PURPLE_CONNECTION_ERROR_OTHER_ERROR, if not.
  text | a localized message describing the disconnection in more detail to the user.

See also
  purple_connection_error_reason

Since
  2.3.0

Definition at line 234 of file connection.h.

The documentation for this struct was generated from the following file:

- connection.h